CURRENT_PATH = strsubst(get_absolute_file_path("builder_gateway_c.sce"), "\", "/");

lib_name = 'mi_c';



table = [          'findjointstateab', 'findjointstateab','cmex';..
                 'estpab', 'estpab','cmex';..
                  'estpa', 'estpa','cmex';.. 
                 'estmutualinfo', 'estmutualinfo','cmex';..
                 'estjointentropy', 'estjointentropy','cmex';..
                  'estentropy', 'estentropy','cmex';..
                   'estcondentropy', 'estcondentropy','cmex';..
];

files = ['miinclude.h','elementmexheader.h','findjointstateab.cpp', 'estpab.cpp','estpa.cpp','estmutualinfo.cpp','estjointentropy.cpp','estentropy.cpp','estcondentropy.cpp'];


libs = [''];

if getos()<>"Windows" then
	if part(getenv('OSTYPE','no'),1:6)=='darwin' then
    	cflags = "-D__SCILAB__"
	    fflags = ""; 
	    ldflags= ""; 
	    cc = "g++";
    else 
		ldflags = "-lstdc++ "
		cflags = " -D__SCILAB__ -std=c99 "
		fflags = "";
		cc = "";
	end
else
	ldflags = "";
	cflags = "-D__SCILAB__";
	fflags = "";
	cc = "";
end

//ilib_mex_build(lib_name, table, files, libs, [], ldflags, cflags,fflags);
tbx_build_gateway(lib_name, table, files, CURRENT_PATH, [],ldflags,cflags,fflags,cc,[],%t);

clear lib_name table files libs ldflags cflags fflags cc CURRENT_PATH;

